import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';

import { IUserWatchList } from 'app/shared/model/user-watch-list.model';
import { UserWatchListService } from './user-watch-list.service';

@Component({
  templateUrl: './user-watch-list-delete-dialog.component.html',
})
export class UserWatchListDeleteDialogComponent {
  userWatchList?: IUserWatchList;

  constructor(
    protected userWatchListService: UserWatchListService,
    public activeModal: NgbActiveModal,
    protected eventManager: JhiEventManager
  ) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.userWatchListService.delete(id).subscribe(() => {
      this.eventManager.broadcast('userWatchListListModification');
      this.activeModal.close();
    });
  }
}
