import { MetadataSearchInput } from 'app/shared/model/search/metadata-search-input.model';
import { IExerciseType, ILanguages } from 'app/shared/model/exercise.model';

export class SearchInput {
  public fulltextQuery: string;
  public metadata: MetadataSearchInput;
  public page: number;

  public constructor() {
    this.fulltextQuery = '';
    this.metadata = new MetadataSearchInput();
    this.page = 0;
  }

  setValues(value: Record<string, any>): void {
    this.fulltextQuery = value.searchText;
    this.page = value.page;
    this.metadata.programmingLanguage = value.programmingLanguage;
    this.metadata.keyword = value.keyword;
    this.metadata.author = value.author;
    this.metadata.license = value.license;
    this.metadata.format = value.format;
    this.metadata.parentId = value.parentId;

    this.metadata.naturalLanguage = [];
    Object.keys(ILanguages).forEach(typeName => {
      if (value[typeName]) {
        const eType = ILanguages[typeName];
        this.metadata.naturalLanguage.push(eType);
      }
    });

    this.metadata.types = [];
    Object.keys(IExerciseType).forEach(typeName => {
      if (value[typeName]) {
        const eType = IExerciseType[typeName];
        this.metadata.types.push(eType);
      }
    });
  }
}
